package cn.rankin.apiweb.service.event;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.product.entity.Course;
import cn.rankin.data.api.user.dto.EventLogDTO;
import cn.rankin.data.api.user.entity.EventLog;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "${service.user.name}")
public interface EventClient {

    @RequestMapping(value = "/event", method = RequestMethod.POST)
    APIResult<Boolean> addLog(@RequestBody EventLogDTO eventLogDTO);

    @RequestMapping(value = "/event/{uid}", method = RequestMethod.GET)
    List<String> getCoursesFromLogs(@RequestParam("uid") String uid);
}
