package cn.rankin.apiweb.service.resource;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.vo.resource.ResourceVo;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

@FeignClient(value = "${service.resource.name}")
public interface ResourceClient {

    @RequestMapping(value = "/resource/batch", method = RequestMethod.GET)
    APIResult<Map<String, ResourceVo>> getResourceMap(@RequestParam("id") List<String> ids);
}
