package cn.rankin.cmsweb.controller.resource;

import cn.rankin.cmsweb.service.resource.ResourceService;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.resource.vo.OSSSignature;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class AliOSSController {

    @Autowired
    private ResourceService resourceService;

    @RequestMapping(value = "/oss/signature", method = RequestMethod.GET)
    public APIResult<OSSSignature> getSign(@RequestParam("fileName") String fileName) {
        return resourceService.getSign(fileName);
    }
}
