package cn.rankin.cmsweb.service.trade.order;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.trade.dto.ChargeDTO;
import cn.rankin.data.api.user.dto.PayDTO;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "${service.user.name}")
public interface PayingService {

    @RequestMapping(value = "/money/pay", method = RequestMethod.POST)
    APIResult<Boolean> pay(@RequestBody PayDTO payDTO);

    @RequestMapping(value = "/money/charge", method = RequestMethod.POST)
    APIResult<Boolean> charge(@RequestBody ChargeDTO chargeDTO);
}
