package cn.rankin.cmsweb.service.user;

import cn.rankin.data.api.product.entity.MerchantProduct;
import cn.rankin.data.api.user.entity.UserRecommend;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "${service.user.name}")
public interface UserRecommendService {

    @RequestMapping(value = "/userRecommend/uid", method = RequestMethod.GET)
    List<UserRecommend> get(@RequestParam("uid") String uid);

    @RequestMapping(value = "/userRecommend/uid", method = RequestMethod.PUT)
    List<UserRecommend> put(@RequestParam("uid") String uid, @RequestBody List<MerchantProduct> productList);
}
