package cn.rankin.cmsweb.service.user;

import cn.rankin.data.api.user.entity.UserTagProductRelation;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(value = "${service.user.name}")
public interface UserTagProductRelationServiceInterface {

    @RequestMapping(value = "/userTagProductRelation/{userTagId}", method = RequestMethod.GET)
    List<UserTagProductRelation> findByUserTagId(@PathVariable("userTagId") String userTagId);


}
