package cn.rankin.cmsweb.utils;

import cn.rankin.data.api.cms.OrderSnapshotWebSearchDTO;
import cn.rankin.data.api.trade.dto.OrderSnapshotSearchDTO;
import cn.rankin.data.api.trade.entity.Order;
import cn.rankin.data.api.trade.entity.OrderDetail;
import cn.rankin.data.api.trade.vo.OrderDetailVo;
import cn.rankin.data.api.trade.vo.OrderVo;
import org.springframework.beans.BeanUtils;

public class DTOConverter {

    public static OrderVo convert(Order order) {
        OrderVo orderVo = new OrderVo();
        BeanUtils.copyProperties(order, orderVo);
        return orderVo;
    }

    public static OrderDetailVo convert(OrderDetail orderDetail) {
        OrderDetailVo orderDetailVo = new OrderDetailVo();
        BeanUtils.copyProperties(orderDetail, orderDetailVo);
        return orderDetailVo;
    }

    public static OrderSnapshotSearchDTO convert(OrderSnapshotWebSearchDTO searchDTO) {
        OrderSnapshotSearchDTO snapshotSearchDTO = new OrderSnapshotSearchDTO();
        BeanUtils.copyProperties(searchDTO, snapshotSearchDTO);
        return snapshotSearchDTO;
    }
}