package cn.rankin.common.utils.api;

public class Cache {

    private String key; //缓存ID
    private Object value; //缓存数据
    private long validTime; //有效时间
    private long timeOut; //是否终止

    public Cache() {
        super();
    }

    public Cache(String key, Object value, long validTime) {
        this.key = key;
        this.value = value;
        this.timeOut = System.currentTimeMillis() + validTime;
        this.validTime = validTime;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public long getTimeOut() {
        return timeOut;
    }

    public void setTimeOut(long timeOut) {
        this.timeOut = timeOut;
    }

    public long getValidTime() {
        return validTime;
    }

    public void setValidTime(long validTime) {
        this.validTime = validTime;
    }
}