package cn.rankin.common.utils.api.page;

public interface Pageable<E> {
	
	E getList();

	int getTotalNo();
	
	long getTotalSize();

	int getPageNo();
	
	int getPageSize();
	
	long getStart();
	
	boolean hasNext();
	
	boolean hasPrevious();
}
