package cn.rankin.common.utils.dto.search;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class SearchDTO implements Serializable {

    private String code;

    private String name;

    private BaseStatusEnum status;

    private String sort;

    private Integer by;

    private Integer pageNo = 1;

    private Integer pageSize = 10;

}
