package cn.rankin.common.utils.enums;

import java.util.HashSet;
import java.util.Set;

public enum BaseStatusEnum {

    NORMAL("正常"),DEL("已删除"),DISABLE("禁用");

    public static Set<BaseStatusEnum>  show = new HashSet<>();

    static {
        show.add(BaseStatusEnum.NORMAL);
    }

    String name;

    BaseStatusEnum( String name) {
        this.name = name;  
    }
      
    public String getName() {  
        return name;  
    }

    @Override
    public String toString() {
        return this.name;
    }

}  