package cn.rankin.common.utils.enums;

public enum OrderStatusEnum {

    UNPAID("待支付 0"), PAYOK("已支付 1"), CANCEL("取消 2"), REFUND("退款 3"), COMPLETE("完成 4"), FORSEND("等待发货 5"), SENT("已发货 6"), RECEIVED("已收货 7");

    String name;

    OrderStatusEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return this.name;
    }
}
