package cn.rankin.common.utils.validator;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.Arrays;
import java.util.List;

public class DomainValidator implements ConstraintValidator<Domain, Integer> {

    public final static List<Integer> VALID_DOMAIN;

    static {
        Integer[] domains = {
                cn.rankin.common.utils.constant.Domain.CP,
                cn.rankin.common.utils.constant.Domain.MERCHANT,
                cn.rankin.common.utils.constant.Domain.PLATFORM
        };
        VALID_DOMAIN = Arrays.asList(domains);
    }

    public void initialize(Domain domain) {}

    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        if (VALID_DOMAIN.contains(value)) {
            return true;
        }

        return false;
    }
}
