package cn.rankin.data.api.cms;

import cn.rankin.common.utils.enums.OrderStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class OrderSearchWebDTO implements Serializable {

    private String merchantId;

    private String userCode;

    private String campusName;

    private String campusCode;

    protected Date beginTime;

    protected Date endTime;

    protected OrderStatusEnum status;

    protected Integer pageNo = 1;

    protected Integer pageSize = 10;
}
