package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.*;

@Data
public class CourseDTO implements Serializable {

    private String id;

    private String code;

    private String name;

    private String title;

    private String subTitle;

    private String breadCrumb;

    private String digest;

    private String detail;

    private String keyword;

    private String coverUrl;

    private String bgUrl;

    private String cpId;

    private BaseStatusEnum status;

    // 有序
    private List<CourseSubRelationDTO> subItemList;

    private List<String> supportList;

}

