package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class GroupDTO implements Serializable {

    private String id;

    @NotNull
    private String code;

    private String name;

    @NotNull
    private String merchantId;

    private Integer sort;

    private List<String> tagList;

    private BaseStatusEnum status;
}
