package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class LessonDTO implements Serializable {

    private String id;

    @NotNull
    private String code;

    private String title;

    private String digest;

    private Integer sort;

    private BaseStatusEnum status;

    private List<String> wareList;

}
