package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import cn.rankin.data.api.product.entity.Goods;
import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.List;

@Data
@ToString
public class MerchantProductDTO {

    private String id;

    private String pid;

    private String code;

    private String name;

    private ProductTypeEnum type;

    private String merchantId;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private List<Goods> goods;

    private List<String> tags;
}
