package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ToString
public class GoodsVo implements Serializable {

    private String id;

    private String pid;

    private ProductTypeEnum type;

    private String merchantId;

    private String cpId;

    private Integer duration;

    private String chargeUnit;

    private BigDecimal cpPrice;

    private BigDecimal merchantPrice;

    private BigDecimal terminalPrice;

    private Integer sort;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;
}
