package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import cn.rankin.data.api.product.entity.Goods;
import cn.rankin.data.api.product.entity.Tag;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class MerchantProductVo implements Serializable {

    private String id;

    private String pid;

    private String code;

    private String name;

    private ProductTypeEnum type;

    private String merchantId;

    private String merchantName;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private List<Goods> goods;

    private List<PackageProductVo> products;

    private List<Goods> specials;

    private List<Tag> tags;
}
