package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class PackageVo implements Serializable {

    private String id;

    private String code;

    private String name;

    private Integer sort;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private List<PackageProductVo> products;

}
