package cn.rankin.data.api.product.vo;

import cn.rankin.data.api.app.vo.ItemGoodsVo;
import cn.rankin.data.api.app.vo.ItemVo;
import cn.rankin.data.api.product.entity.Support;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@ToString
public class SupportItemVo implements Serializable {

    private String id;

    private String code;

    private String title;

    private String subTitle;

    private String detail;

    private String coverUrl;

    private List<String> imgList;

    private List<ItemGoodsVo> goods;

    private List<ItemVo> relatedSupports;

    private List<ItemVo> relatedCourses;
}
