package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class SupportVo implements Serializable {

    private String id;

    private String code;

    private String name;

    private String title;

    private String subTitle;

    private String digest;

    private String detail;

    private String coverUrl;

    private String cpId;

    private ProductTypeEnum type;

    private List<String> imgList;

    private BaseStatusEnum status;

    private List<SupportVo> supportList;

}
