package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.TagTypeEnum;
import cn.rankin.data.api.app.vo.ItemVo;
import cn.rankin.data.api.product.entity.MerchantProduct;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TagVo implements Serializable {

    private String id;

    private String groupId;

    private String groupName;

    private String code;

    private String typeCode;

    private String name;

    private TagTypeEnum type;

    private String merchantId;

    private String merchantName;

    private Integer sort;

    private BaseStatusEnum status;

    private List<MerchantProduct> productList;

    private List<ItemVo> recs;
}
