package cn.rankin.data.api.resource.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.data.api.resource.entity.Resource;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class AudioImgDTO implements Serializable {

    private String id;

    private String code;

    private String name;

    private Integer type;       //type,{4}， 表示{有声读物}

    private BaseStatusEnum status;

    private Resource img;

    private String imgPath;

    private String imgFormat;

    private String imgQuality;

    private Long imgSize;

    private String imgUrl;


    private Resource audio;

    private String audioPath;

    private String audioFormat;

    private String audioQuality;

    private Long audioSize;

    private String audioUrl;




}
