package cn.rankin.data.api.trade.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ToString
public class OrderGoodsVo implements Serializable {

    private String id;

    private String goodsId;

    private String pid;

    private String name;

    private String code;

    private ProductTypeEnum type;

    private String merchantId;

    private String cpId;

    private Integer duration;

    private String chargeUnit;

    private BigDecimal cpPrice;

    private BigDecimal merchantPrice;

    private BigDecimal terminalPrice;

    private BaseStatusEnum status;

    private String orderId;

    private Integer quantity;

    private String detailId;

}
