package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.GenderEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
public class CmsUserDTO implements Serializable {

    private String id;

    private String name;

    private String nickName;

    private String password;

    private GenderEnum gender;

    private String avatar;

    private Date birthday;

    private String mobile;

    private String mail;

    private String weChat;

    private String qq;

    private String merchantId;

    private String merchantName;

    private Integer domain;

    private Boolean isAdmin;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;
}
