package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class TerminalUserSearchDTO implements Serializable {

    private String code;

    private String campusId;

    private String merchantId;

    private BaseStatusEnum status;

    private String sort;

    private Integer by;

    private Integer pageNo = 1;

    private Integer pageSize = 10;
}
