package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class UserTagDTO implements Serializable {

    private String id;

    private String name;

    private String uid;

    private String typeCode;

    private Integer sort;

    private BaseStatusEnum status;

    private List<String> productList;

}
