package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class WhiteUserDTO implements Serializable{

    private String id;

    private String userId;

    private String code;

    private String merchantId;

    private Date startTime;

    private Date endTime;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;
}
