package cn.rankin.data.api.user.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.GenderEnum;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;

@Data
@ToString
public class CmsUserVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    private String name;

    private String nickName;

    private String password;

    private GenderEnum gender;

    private String avatar;

    private Date birthday;

    private String mobile;

    private String mail;

    private String weChat;

    private String qq;

    private String merchantId;

    private String merchantName;

    private Integer domain;

    private Boolean isAdmin;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private HashSet<String> resources; //抽出来资源code 集合 contains 判断权限
}
