package cn.rankin.data.api.user.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ReceiptTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class MerchantVo implements Serializable {

    private String id;

    private Integer domain;

    private String code;

    private String simple;

    private String name;

    private String contactName;

    private String mobile;

    private String licenseId;

    private String taxNumber;

    private String bankAccount;

    // 开户行
    private String depositBank;

    private ReceiptTypeEnum receiptType;

    private BigDecimal balance = BigDecimal.ZERO;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private List<CmsUserVo> adminList;

}
