package cn.rankin.productservice.controller.app;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.app.vo.GoodsVo;
import cn.rankin.productservice.service.app.AppGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping(value = "/app/goods")
public class AppGoodsController {

    @Autowired
    private AppGoodsService goodsService;

/*    @RequestMapping(method = RequestMethod.POST)
    public APIResult<List<GoodsVo>> findByIds(@RequestBody List<String> goodsIdList, @RequestParam("merchantId") String merchantId) {
        return goodsService.findByIds(goodsIdList, merchantId);
    }*/

    /*   --- rewrite 2018-05-14--------------------------------------  start   */

    @RequestMapping(method = RequestMethod.POST)
    public APIResult<List<GoodsVo>> findByIds(@RequestBody List<String> goodsIdList, @RequestParam("merchantId") String merchantId) {
        List<GoodsVo> goodsVoList = goodsService.findByIds(goodsIdList, merchantId);
        return APIResult.ok(goodsVoList);
    }

    /*   --- rewrite 2018-05-14--------------------------------------  end   */
}
