package cn.rankin.resourceservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.resource.entity.Resource;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ResourceRepository extends BasicJpaRepository<Resource, String> {

    Long countByCode(String code);

    /**
     * find resource by code
      * @param code
     * @return
     */
    List<Resource> findByCode(String code);
}
