package cn.rankin.tradeservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.trade.entity.OrderGoods;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface OrderGoodsRepository extends BasicJpaRepository<OrderGoods, String> {

    List<OrderGoods> findByOrderId(String orderId);

    @Query(value = "select g from OrderGoods g where g.orderId in (?1)")
    List<OrderGoods> findByOrderIds(List<String> orderIds);

    List<OrderGoods> findByDetailId(String detailId);
}
