package cn.rankin.tradeservice.utils;

import cn.rankin.data.api.trade.dto.OrderDTO;
import cn.rankin.data.api.trade.dto.OrderGoodsDTO;
import cn.rankin.data.api.trade.entity.Order;
import cn.rankin.data.api.trade.entity.OrderGoods;
import org.springframework.beans.BeanUtils;

public class DTOConverter {

    public static Order convert(OrderDTO orderDTO) {
        Order order = new Order();
        BeanUtils.copyProperties(orderDTO, order);
        return order;
    }

    public static OrderGoods convert(String orderId, OrderGoodsDTO orderGoodsDTO) {
        OrderGoods relation = new OrderGoods();
        relation.setOrderId(orderId);
        relation.setGoodsId(orderGoodsDTO.getGoodsId());
        relation.setPid(orderGoodsDTO.getPid());
        relation.setQuantity(orderGoodsDTO.getQuantity());
        relation.setType(orderGoodsDTO.getType());
        return relation;
    }
}
