package cn.rankin.userservice.code;

import cn.rankin.common.utils.api.model.APICode;
import cn.rankin.common.utils.api.model.BaseCode;
import com.fasterxml.jackson.databind.ser.Serializers;

public class UserServiceAPICode extends APICode {

    public final static int _C_CAMPUS_NO_ERROR = 20001;
    public final static BaseCode CAMPUS_NO_ERROR = new BaseCode(_C_CAMPUS_NO_ERROR, "生成校区编号错误");

    public final static int _C_REMOTE_USER_REGISTER_ERROR = 21001;
    public final static BaseCode REMOTE_USER_REGISTER_ERROR = new BaseCode(_C_REMOTE_USER_REGISTER_ERROR, "远程注册用户失败");

    public final static int _C_REMOTE_USER_LOGIN_ERROR = 21002;
    public final static BaseCode REMOTE_USER_LOGIN_ERROR = new BaseCode(_C_REMOTE_USER_LOGIN_ERROR, "远程登录用户失败");

    public final static int _C_MONEY_PAY_FAILED = 22001;
    public final static BaseCode PAY_FAILED = new BaseCode(_C_MONEY_PAY_FAILED, "支付失败");

    public final static int _C_MONEY_NOT_ENOUGH = 22002;
    public final static BaseCode MONEY_NOT_ENOUGH = new BaseCode(_C_MONEY_NOT_ENOUGH, "余额不足");

    public final static int _C_DEVICE_IS_BOUND = 23001;
    public final static BaseCode DEVICE_IS_BOUND = new BaseCode(_C_DEVICE_IS_BOUND, "设备已经绑定其他用户");

    public final static int _C_USER_IS_BOUND = 23002;
    public final static BaseCode USER_IS_BOUND = new BaseCode(_C_USER_IS_BOUND, "用户已经绑定其他设备");
}
