package cn.rankin.userservice.controller;

import cn.rankin.data.api.user.entity.UserTagProductRelation;
import cn.rankin.userservice.service.UserTagProductRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping(value = "/userTagProductRelation")
public class UserTagProductRelationController {

    @Autowired
    private UserTagProductRelationService userTagProductRelationService;

    @RequestMapping(value = "/{userTagId}",method = RequestMethod.GET)
    public List<UserTagProductRelation> findByUserTagId(@PathVariable("userTagId") String userTagId) {
        List<UserTagProductRelation> userTagProductRelations = userTagProductRelationService.findByUserTagId(userTagId);
        return userTagProductRelations;
    }


}
