package cn.rankin.userservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.Collection;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface CollectionRepository extends BasicJpaRepository<Collection, String> {

    Collection findByPidAndUserId(String productId, String userId);

    @Modifying
    @Query("update Collection c set c.status = 1 where c.pid = ?1 and c.userId = ?2")
    Integer deleteByPidAndUserId(String productId, String userId);
}
