package cn.rankin.userservice.utils;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

@Data
@ToString
@AllArgsConstructor
public class StudentNo implements Serializable {

    private String appCode;

    private String merchantCode;

    private String provinceCode;

    private Integer campusNo;

    private Integer roomNo;

    public String getStudentNo() {
        return String.format("%s%s%s%02d%03d", appCode, merchantCode, provinceCode, campusNo, roomNo);
    }

    public String getCampusNo() {
        return String.format("%s%s%s%02d", appCode, merchantCode, provinceCode, campusNo);
    }
}
