package cn.rankin.apiweb.code;

import cn.rankin.common.utils.api.model.APICode;
import cn.rankin.common.utils.api.model.BaseCode;

public class ApiWebCode extends APICode {

    public static final int _DEVICE_BOUND_ERROR = 30001;
    public static final BaseCode DEVICE_BOUND_ERROR = new BaseCode(_DEVICE_BOUND_ERROR, "绑定终端失败");

    public static final int _C_LOGIN_ERROR = 31001;
    public static final BaseCode LOGIN_ERROR = new BaseCode(_C_LOGIN_ERROR, "登录失败");

    public static final int _C_PASSWORD_ERROR = 31002;
    public static final BaseCode PASSWORD_ERROR = new BaseCode(_C_PASSWORD_ERROR, "密码错误");

    public static final int _C_TOKEN_EXPIRE = 31003;
    public static final BaseCode TOKEN_EXPIRE = new BaseCode(_C_TOKEN_EXPIRE, "token过期");

    public static final int _C_LOGOUT_ERROR = 31004;
    public static final BaseCode LOGOUT_ERROR = new BaseCode(_C_LOGOUT_ERROR, "退出失败");

    public static final int _C_HEADER_ERROR = 32001;
    public static final BaseCode HEADER_ERROR = new BaseCode(_C_HEADER_ERROR, "请求头错误");
}
