package cn.rankin.cmsweb.service.buymsg;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.user.entity.BuyMsg;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "${service.user.name}")
public interface BuyMsgClient {

    @RequestMapping(value = "/shopcart/buymsg", method = RequestMethod.GET)
    APIResult<List<BuyMsg>> getBuyMsg(@RequestParam("userId") String userId);

    @RequestMapping(value = "/shopcart/buymsg", method = RequestMethod.DELETE)
    APIResult<Boolean> delete(@RequestParam("userId") String userId);

}
