package cn.rankin.cmsweb.service.user;

import cn.rankin.common.utils.api.model.APIResult;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "${service.user.name}")
public interface TerminalDeviceService {

    @RequestMapping(value = "/device/unbind", method = RequestMethod.DELETE)
    APIResult<Boolean> deviceUnbind(@RequestParam("userId") String userId);
}
