package cn.rankin.common.utils.api.controller.advice;

import cn.rankin.common.utils.api.model.APICode;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.model.BaseCode;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

@ControllerAdvice
public class GlobalExceptionHandler {

    @ExceptionHandler({Exception.class})
    @ResponseBody
    public APIResult handleException(HttpServletRequest request, Exception e){
        e.printStackTrace();
        return APIResult.error(new BaseCode(APICode._C_SERVER_ERROR, e.getMessage()));
    }
}

