package cn.rankin.common.utils.enums;

public enum WareTypeEnum {

    SINGLE("单图"), MULTI("多图"), VIDEO("视频");

    public static boolean contains(WareTypeEnum type) {
        for (WareTypeEnum typeEnum : values()) {
            if (typeEnum.equals(type)) {
                return true;
            }
        }
        return false;
    }

    String name;

    WareTypeEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return this.name;
    }

}
