package cn.rankin.common.utils.vo.resource;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class Resource implements Serializable {

    private String id;

    private String code;

    private String name;

    private Integer type;

    private String format;

    private String quality;

    private Long size;

    private String path;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private String url;

}
