package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;
import lombok.ToString;

/*
{
  'code':'xxx',
  'name':'xxxx',
  'type':0,
  'merchantId':23,
  'pageSize':10,
  'pageNum':0,
}
 */

@Data
@ToString
public class MerchantProductSearchDTO {

    private String code;

    private String name;

    private ProductTypeEnum type;

    private String merchantId;

    private Integer pageSize;

    private Integer pageNo;

}
