package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import cn.rankin.data.api.product.entity.Product;
import cn.rankin.data.api.user.entity.Merchant;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Map;

@Data
@ToString
public class PosterDTO implements Serializable {

    private String id;

    private String merchantId;

    private String pid;

    private String img;

    private Integer sort;

    private ProductTypeEnum type;

    private BaseStatusEnum status;

    private Integer pageNo = 1;

    private Integer pageSize = 10;

    private Product product;

    private Merchant merchant;

}

