package cn.rankin.data.api.product.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class TrainingDTO implements Serializable {

    private String id;

    private String code;

    private String title;

    private String coverUrl;

    private List<String> imgList;

    private String cpId;

    private String dateDesc;

    private Date openTime;

    private Date closeTime;

    private BaseStatusEnum status;
}
