package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.data.api.app.vo.ItemGoodsVo;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@ToString
public class CourseItemVo implements Serializable {

    private String id;

    private String code;

    private String name;

    private String title;

    private String subTitle;

    private String breadCrumb;

    private String digest;

    private String detail;

    private String keyword;

    private String coverUrl;

    private String bgUrl;

    private String cpId;

    private BaseStatusEnum status;

    private List<ItemGoodsVo> goods;
}
