package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.WareTypeEnum;
import cn.rankin.common.utils.vo.resource.ResourceVo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class CourseWareVo implements Serializable {

    private String id;

    private String code;

    private String title;

    private String category;

    private String digest;

//    private List<String> resourceList;

    private List<ResourceVo> resourceList;

    private String cpId;

    private Integer sort;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;
}
