package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import cn.rankin.data.api.product.entity.Product;
import cn.rankin.data.api.user.entity.Merchant;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class PosterVo implements Serializable {

    private String id;

    private String merchantId;

    private String pid;

    private String img;

    private Integer sort;

    private ProductTypeEnum type;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private Product product;

    private Merchant merchant;


}

