package cn.rankin.data.api.product.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class ProductVo implements Serializable {

    private String id;

    private String pid;

    private String code;

    private String name;

    private String cpId;

    private ProductTypeEnum type;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;
}
