package cn.rankin.data.api.trade.dto;

import cn.rankin.common.utils.enums.OrderStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@ToString
public class OrderDTO implements Serializable {

    private String id;

    private String uid;

    private String serialNo;

    private String merchantId;

    private BigDecimal originPrice;

    private BigDecimal finalPrice;

    private BigDecimal adjustPrice;

    private OrderStatusEnum status;

    private String name;

    private String mobile;

    private String address;

    private String note;

    private List<OrderGoodsDTO> goods;

    private Boolean isFromCart;

}
