package cn.rankin.data.api.user.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class CampusDTO implements Serializable {

    private String id;

    private String code;

    @NotNull
    private String merchantId;

    @NotNull
    private String provinceCode;

    private String cityName;

    private String zoneName;

    private Integer serialNo;

    private String contactName;

    private String mobile;

    private String address;

    private String bankAccount;

    // 开户行
    private String depositBank;

}
