package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ReceiptTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class MerchantDTO implements Serializable{

    private String id;

    private Integer domain;

    private String code;

    private String simple;

    private String name;

    private String licenseId;

    private String taxNumber;

    @NotNull
    private String bankAccount;

    @NotNull
    private String depositBank;

    @NotNull
    private ReceiptTypeEnum receiptType;

    @NotNull
    private BaseStatusEnum status;

    private String contactName;

    private String mobile;
}
