package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.LedgerTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ToString
public class PayDTO implements Serializable {

    private String merchantId;

    private BigDecimal quantity;

    private String receiptId;

    private LedgerTypeEnum type;

    private String note;
}
