package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.productservice.ProductServiceApplication;
import cn.rankin.data.api.product.entity.Tag;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = ProductServiceApplication.class)
public class tagRepositoryImplTest {

    @Autowired
    private TagRepository tagRepository;

    @Test
    public void findByIdIn() {
        List<String> idList = new ArrayList<>();
        idList.add("1");
        List<Tag> tagList = tagRepository.findByIds(idList, BaseStatusEnum.NORMAL);
    }

    @Test
    public void find() {
        Tag tag = new Tag();
        tag.setStatus(BaseStatusEnum.NORMAL);
    }
}