package cn.rankin.task.configuration;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.EnvironmentAware;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;


@Configuration
@EntityScan(basePackages={"cn.rankin.data.api.trade"})
public class PersistConfiguration implements EnvironmentAware {
	
	// 日志记录器
	private static final Logger logger = LoggerFactory.getLogger(PersistConfiguration.class);
	
	// 应用环境信息
	private Environment environment;

	@Override
	public void setEnvironment(Environment environment) {
		this.environment = environment;
	}
}
