package cn.rankin.task.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.trade.entity.SystemSerialNumber;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface SerialNumberRepository extends BasicJpaRepository<SystemSerialNumber, String> {

    @Modifying(clearAutomatically = true)
    @Query(value = "update SystemSerialNumber sn set sn.maxSerial = sn.maxSerial + 1 where sn.moduleName = ?1 and sn.moduleCode = ?2")
    SystemSerialNumber updateMaxSerial(String name, String code);
}
