package cn.rankin.userservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.BuyMsg;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface BuyMsgRepository extends BasicJpaRepository<BuyMsg, String> {

    @Modifying
    @Query(value = "update BuyMsg b set b.status = 1 where b.userId = ?1")
    Integer deleteByUserId(String userId);
}
