package cn.rankin.userservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.EventLog;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface EventLogRepository extends BasicJpaRepository<EventLog, String> {

    @Query(value = "select e from EventLog e where e.userId = :uid AND e.tarName='LESSON_WATCH' ORDER BY e.gmtCreated DESC ")
    List<EventLog> findEventLogs(@Param("uid") String uid);
}
