package cn.rankin.userservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.Resource;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface ResourceRepository extends BasicJpaRepository<Resource, String> {

    /**
     * 根据普通用户 id 查询管理员信息
     * @return
     */
    @Query(value = "select r.* from  resource  r   where r.type != ?1", nativeQuery = true)
    List<Resource> findAllWithOutLeafNode(Integer type);

}
