package cn.rankin.userservice.proxy;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.userservice.dto.RemoteUser;
import cn.rankin.userservice.dto.UserRegistry;
import cn.rankin.userservice.UserServiceApplication;
import com.alibaba.fastjson.JSON;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;


@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = UserServiceApplication.class)
public class RemoteUserFeignTest {

    @Autowired
    private RemoteUserFeign remoteUserFeign;

    @Test
    public void signup() throws Exception {
        UserRegistry user = new UserRegistry();
        user.setEntry("150223211102006");
        user.setEntryType(0);
        user.setPasswd("test");
        int i = 0;
        while (i < 3) {
            APIResult<RemoteUser> resp = remoteUserFeign.register(user, "120.120.110.1", "8.8");
            System.out.println(JSON.toJSONString(resp));
            i ++;
        }
    }

}